/* Copyright (C) 2006 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

 /*! \mainpage QtOctave Index Page
 *
 * \section intro_sec Introduction
 *
 * QtOctave is a simple front-end for Octave. Octave is a Matlab like calculus application..
 *
 * \section install_sec Installation
 *
 * \subsection step1 Step 1: Opening the box
 *  
 * etc...
 */

/** @file config.h
 * This file contains application's config parameters. Configuration is automaticly load and save from CONFIG_PATH/config.rc and from user home/.qtoctave.rc
 */

#ifndef CONFIG_H
#define CONFIG_H

#ifndef ICON_PATH
#define ICON_PATH "/usr/local/share/qtoctave/"
#endif
#ifndef HELP_PATH
#define HELP_PATH "/usr/local/share/qtoctave/octave_doc/octave.html"
#endif
#ifndef QTOCTAVE_HELP_PATH
#define QTOCTAVE_HELP_PATH "/usr/local/share/qtoctave/qtoctave_doc/index.html"
#endif
#ifndef CONFIG_PATH
#define CONFIG_PATH "/usr/local/share/qtoctave/"
#endif

#include <QString>
#include <QMap>

/**Gets config of parameter.
 * @param parameter Parameter name.
 * @return A QString with parameter value.
 */
const QString get_config(char *parameter);
/**Sets config of parameter.
 * @param configuration Add a parameter with value. QMap key is parameter name. QMap value is parameter value.
 */
void set_config(QMap<QString,QString> configuration);

#endif
