/* Copyright (C) 2006 P.L. Lucas
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 */

#ifndef __TABLE_H__
#define __TABLE_H__

#include <QTableWidget>
#include "octave_connection.h"
#include "ui_table_ui.h"
#include "basewidget.h"

using namespace Ui;

/*
Muestra la ventana con una tabla en la que se muestra una matriz dada.
Las modificaciones en la tabla se vern reflejadas en la matriz.
Cada vez que la tabla reciba el foco se actualizarn los datos de la tabla. 
*/

class Table:public BaseWidget
{
	Q_OBJECT
	public:
	Table( QWidget * parent = 0 );
	void setOctaveConnection(OctaveConnection *octave_connection);
	void setMatrix(QString matrix);
	QString getMatrix();
	private:
	TableForm *table_form;
	OctaveConnection *octave_connection;
	QString matrix;
	void change_rows();
	void change_cols();
	public slots:
	void windowActivated ( QWidget * w );
	void windowActivated();
	void line_ready(QString line);
	void cellChanged ( int row, int col );
	void rows_changed();
	void cols_changed();
	void order_changed();
};


#endif
